#!/bin/bash
# lastpipe-option.sh

ligne=''                      # Null value.
echo "\$ligne = « $ligne »"   # $ligne =

echo

shopt -s lastpipe         # Erreur avant la version 4.2
echo "Code de retour du passage à 1 de l'option « lastpipe » : $?"
#     1 pour les Bash avant 4.2, 0 dans le cas contraire.

echo

                           # Envoie, via un tube, la première ligne du
head -1 $0 | read ligne    # script à read.
#            ^^^^^^^^^^      Pas dans un sous-shell.

echo "\$ligne = « $ligne »"
# Anciennes versions de Bash    $ligne = «  »
# Bash version 4.2              $ligne = « #!/bin/bash »
